<?php
// $Id: lmo.module_cmn.inc,v 1.5 2006/11/06 07:06:38 martinsfromb Exp $

function lmo_help($section) {
  switch ($section) {
    case 'admin/modules#description':
      return t('Integrates the famous LigaManagerOnline into drupal');
  }
}

function lmo_perm() {
  return array('administer lmo');
}


function lmo_settings_form() {
$form['lmo_local_path'] = array(
    '#type' => 'textfield',
    '#title' => t('local LMO path'),
    '#default_value' => variable_get('lmo_local_path', 'Default setting'),
   /* '#size' => 20,*/
    '#maxlength' => 255,
    '#description' => t('Path to your local lmo installation.'),
  );
  
 $form['lmo_admin'] = array(
    '#type' => 'textfield',
    '#title' => t('lmo admin username'),
    '#default_value' => variable_get('lmo_admin', 'admin'),
   /* '#size' => 20,*/
    '#maxlength' => 255,
    '#description' => t('Give the username of an administrator created in LMO.'),
  );

 $form['lmo_admin_pass'] = array(
    '#type' => 'password',
    '#title' => t('lmo admin pasword'),
    '#default_value' => variable_get('lmo_admin_pass', 'lmo'),
   /* '#size' => 20,*/
    '#maxlength' => 255,
    '#description' => t('Give the password of the user above.'),
  );
  return $form; 
}

function lmo_menu_common() {
  $items[] = array(
    'path' => 'lmo',
    'title' => t('League Manager Online'),
    'callback' => 'lmo_page',
    'access' => (user_access('access content'))
    );
  $items[] = array(
    'path' => 'admin/lmo',
	'title' => t('LMO administration'),
    'access' => user_access('administer lmo'),
    'callback' => 'lmo_admin');
  return $items;
}

function lmo_page_common(){
  $bc = array();
  $bc[] = l(t('Home'), '');
  if ($_GET['file'] != '') {
     $bc[] = l(t('League Manager Online'), 'lmo');
  }
  if ($_GET['action'] != '') {
     $bc[] = l($_GET['file'], 'lmo', array(), 'file='.$_GET['file']);
  }
  drupal_set_breadcrumb($bc);
  drupal_set_title('');
  $_SESSION["lmouserok"] = 0;
  if (!isset($_SESSION["lmouserlang"])){ $_SESSION["lmouserlang"] = "English";};
  ob_start();
  require(variable_get('lmo_local_path','').'/lmo-start.php');
  $content = ob_get_contents();
  ob_end_clean();
  if (variable_get('clean_url',0) == 1) {
    $content = str_replace('index.php', 'lmo', $content);
  } else {
    $content = str_replace('index.php?', 'index.php?q=lmo&', $content);
    $content = str_replace("index.php'", "index.php?q=lmo'", $content);
  }
  $content = utf8_encode($content);
  print theme('page', $content);
}

function lmo_admin_common() {
 $lmo_path= variable_get('lmo_local_path','');
 drupal_set_title('');
 $dirligen= 'test';
 ob_start();
	define('LMO_AUTH', 1);
	require($lmo_path.'/init.php');
	
	$subdir='';
	if(!isset($_SESSION["lmouserfile"])){$_SESSION["lmouserfile"]="";}
    if(!isset($_SESSION["lmouserokerweitert"])){$_SESSION["lmouserokerweitert"]=0;}
	
	$_POST["xusername"] = variable_get('lmo_admin', '');
	$_POST["xuserpass"] = variable_get('lmo_admin_pass', '');
	$_SESSION["lmouserok"] = 0;
	
	$todo=isset($_REQUEST['todo'])?$_REQUEST['todo']:"";
    $st=isset($_REQUEST['st'])?$_REQUEST['st']:NULL;
    if($todo=="logout"){
    		$_SESSION['lmouserok']=0;
    		$_SESSION['lmouserpass']="";
  	}
  
    $action="admin";
    $array = array();

    if (($todo == 'delete') || ($todo == 'download'))
	{	
		$dirliga = $lmo_path.'/'.$dirliga;
	}

    require(variable_get('lmo_local_path','').'/lmo-admincheck_auth.php');
	$file=!empty($_REQUEST['file'])?$_REQUEST['file']:'';

    if (!empty($file) && ($todo=="open" || $todo=="")) $todo="edit";
    if ((!empty($file) && check_hilfsadmin($file)) || empty($file))  require(variable_get('lmo_local_path','').'/lmo-adminmain.php');
	$content = ob_get_contents();
	ob_end_clean();
	
	if (variable_get('clean_url',0) == 1) {
		$content = str_replace('index.php', 'admin/lmo', $content);
	} else {
		$content = str_replace('index.php?', 'index.php?q=admin/lmo&', $content);
		$content = str_replace('index.php"', 'index.php?q=admin/lmo"', $content);
		//drupal_set_message(t("Sorry ... forms in admin section doesn't work without clean_url enabled yet!"), 'error');
	}
	
	$content = utf8_encode($content);
	print theme('page', $content);
}
?>
